curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/performance-aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"range": {
"evaluation_window": "24h"
},
"chain": "mainnet"
}
'{
"data": {
"beaconscore": {
"total": 0.5,
"attestation": 0.5,
"proposal": 0.5,
"sync_committee": 0.5
},
"duties": {
"attestation": {
"included": 123,
"assigned": 123,
"correct_head": 123,
"correct_source": 123,
"correct_target": 123,
"valuable_correct_head": 123,
"valuable_correct_source": 123,
"valuable_correct_target": 123,
"avg_inclusion_delay": 1.2,
"avg_inclusion_delay_excluding_missed_slots": 1.2,
"missed": 123
},
"sync_committee": {
"successful": 1,
"assigned": 1,
"missed": 1,
"scheduled": 1
},
"proposal": {
"successful": 123,
"assigned": 123,
"missed": 123,
"included_slashings": 123
}
},
"finality": "not_finalized"
},
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
}
}Returns aggregated performance metrics for the entire network in the given time range.
Must provide either start + end times or epochs
Coming Soon: Support for querying arbitrary time ranges using Unix timestamps, epochs, or slots — exclusively for Scale and Enterprise plans.
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/performance-aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"range": {
"evaluation_window": "24h"
},
"chain": "mainnet"
}
'{
"data": {
"beaconscore": {
"total": 0.5,
"attestation": 0.5,
"proposal": 0.5,
"sync_committee": 0.5
},
"duties": {
"attestation": {
"included": 123,
"assigned": 123,
"correct_head": 123,
"correct_source": 123,
"correct_target": 123,
"valuable_correct_head": 123,
"valuable_correct_source": 123,
"valuable_correct_target": 123,
"avg_inclusion_delay": 1.2,
"avg_inclusion_delay_excluding_missed_slots": 1.2,
"missed": 123
},
"sync_committee": {
"successful": 1,
"assigned": 1,
"missed": 1,
"scheduled": 1
},
"proposal": {
"successful": 123,
"assigned": 123,
"missed": 123,
"included_slashings": 123
}
},
"finality": "not_finalized"
},
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt
Use this file to discover all available pages before exploring further.
Specify a date range to receive aggregated data for that period — ideal for use cases like monitoring validator performance over time or comparing BeaconScore across different periods.
Support for querying arbitrary time ranges using Unix timestamps, epochs, or slots will be coming soon, exclusively for Scale and Enterprise plans.
Show child attributes
The Ethereum chain to query.
mainnet, hoodi Was this page helpful?